%define majorver 8.5
%define libname %mklibname %name %majorver
%define develname %mklibname %name -d

Summary: The graphical toolkit for the Tcl scripting language
Name: tk
Version: 8.5.11
Release: %mkrel 1
Epoch: 1
License: TCL
Group: Development/Other
URL: http://tcl.sourceforge.net
Source0: http://downloads.sourceforge.net/tcl/%{name}%{version}-src.tar.gz
Requires: tcl = %{epoch}:%{version}
BuildRequires: tcl-devel = %{epoch}:%{version}
BuildRequires: libx11-devel
BuildRequires: libxft-devel
BuildRequires: libxscrnsaver-devel
Patch1: tk8.5-make.patch
Patch2: tk-8.5.10-conf.patch
# this patch isn't needed since tk8.6b1
Patch3: tk-seg_input.patch
# fix implicit linkage of freetype that breaks xft detection (#677692)
Patch4: tk-8.5.9-fix-xft.patch

%description
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

%package -n %libname
Summary: Shared libraries for %{name}
Group: System/Libraries

%description -n %libname
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

%package -n %develname
Summary: Tk graphical toolkit development files
Group: Development/Other
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: %{libname} = %{epoch}:%{version}-%{release}
Requires: tcl-devel = %{epoch}:%{version}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}

%description -n %develname
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

The package contains the development files and man pages for tk.

%prep
%setup -n %{name}%{version} -q

%patch1 -p1 -b .make
%patch2 -p1 -b .conf
%patch3 -p1 -b .seg
%patch4 -p1 -b .fix-xft

%build
cd unix
autoconf
%configure2_5x
%make TK_LIBRARY=%{_datadir}/%{name}%{majorver}

%install
rm -rf %{buildroot}
make install -C unix INSTALL_ROOT=%{buildroot} TK_LIBRARY=%{_datadir}/%{name}%{majorver}

ln -s wish%{majorver} %{buildroot}%{_bindir}/wish

# for linking with -l%%{name}
ln -s lib%{name}%{majorver}.so %{buildroot}%{_libdir}/lib%{name}.so

mkdir -p %{buildroot}/%{_includedir}/%{name}-private/{generic/ttk,unix}
find generic unix -name "*.h" -exec cp -p '{}' %{buildroot}/%{_includedir}/%{name}-private/'{}' ';'
( cd %{buildroot}/%{_includedir}
 for i in *.h ; do
 [ -f %{buildroot}/%{_includedir}/%{name}-private/generic/$i ] && ln -sf ../../$i %{buildroot}/%{_includedir}/%{name}-private/generic ;
 done
)

# remove buildroot traces
sed -i -e "s|$PWD/unix|%{_libdir}|; s|$PWD|%{_includedir}/%{name}-private|" %{buildroot}/%{_libdir}/%{name}Config.sh

%files
%defattr(-,root,root,-)
%doc README changes license.terms
%{_bindir}/wish*
%{_datadir}/%{name}%{majorver}
%exclude %{_datadir}/%{name}%{majorver}/tkAppInit.c
%{_libdir}/%{name}%{majorver}
%{_mandir}/man1/*
%{_mandir}/mann/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libtk%{majorver}.so

%files -n %develname
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}stub%{majorver}.a
%{_libdir}/%{name}Config.sh
%{_mandir}/man3/*
%{_datadir}/%{name}%{majorver}/tkAppInit.c


%changelog

* Fri Nov 11 2011 fwang <fwang> 1:8.5.11-1.mga2
+ Revision: 166830
- fix groups
- new version 8.5.11

* Fri Jul 01 2011 fwang <fwang> 1:8.5.10-2.mga2
+ Revision: 117210
- update file list
- more build fix
- add virtual provide
- fix pkgname
- revert to 8.5.10, sync with fedora

* Sat Jan 08 2011 blino <blino> 8.6-0.b1.8.mga1
+ Revision: 1003
- remove old ldconfig scriptlets
- imported package tk

